Current user
GET
/me
Retrieve the profile of the currently logged in user.
Cuerpo de la respuesta
activeSessions
integer
obligatorio
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
obligatorio
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
obligatorio
Email addresses associated with user.
Mostrar atributos secundarios
emails.createdAt
string
obligatorio
When this record was created.
emails.email
string
obligatorio
The email address.
emails.id
string
obligatorio
ID of the email record.
emails.passwordSet
boolean
obligatorio
Whether there is a password set for this email address.
emails.tokenSet
boolean
obligatorio
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
obligatorio
ID of the user this record is associated with.
emails.verified
boolean
obligatorio
Whether the email address is verified.
id
string
obligatorio
ID of the user
identities
array of object
Third-party identities associated with user.
Mostrar atributos secundarios
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
obligatorio
The display name for the user
phoneNumber
string
phoneNumbers
array of object
obligatorio
The phone numbers associated with the user.
Mostrar atributos secundarios
phoneNumbers.createdAt
string
obligatorio
phoneNumbers.id
string
obligatorio
phoneNumbers.phoneNumber
string
obligatorio
phoneNumbers.primary
boolean
obligatorio
phoneNumbers.updatedAt
string
obligatorio
phoneNumbers.userId
string
obligatorio
phoneNumbers.verified
boolean
obligatorio
status
string
obligatorio
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
obligatorio
When the user was last updated.
userFraudInformation
object
Mostrar atributos secundarios
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Ejemplo de código
curl -X GET 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/me
Update the profile of the currently logged in user.
Cuerpo de la solicitud
name
string
The display name for the user
bio
string
The user's description
avatarUrl
string
URL to the user's profile picture.
locale
string
timezone
string
The default timezone for the user.
Cuerpo de la respuesta
activeSessions
integer
obligatorio
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
obligatorio
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
obligatorio
Email addresses associated with user.
Mostrar atributos secundarios
emails.createdAt
string
obligatorio
When this record was created.
emails.email
string
obligatorio
The email address.
emails.id
string
obligatorio
ID of the email record.
emails.passwordSet
boolean
obligatorio
Whether there is a password set for this email address.
emails.tokenSet
boolean
obligatorio
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
obligatorio
ID of the user this record is associated with.
emails.verified
boolean
obligatorio
Whether the email address is verified.
id
string
obligatorio
ID of the user
identities
array of object
Third-party identities associated with user.
Mostrar atributos secundarios
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
obligatorio
The display name for the user
phoneNumber
string
phoneNumbers
array of object
obligatorio
The phone numbers associated with the user.
Mostrar atributos secundarios
phoneNumbers.createdAt
string
obligatorio
phoneNumbers.id
string
obligatorio
phoneNumbers.phoneNumber
string
obligatorio
phoneNumbers.primary
boolean
obligatorio
phoneNumbers.updatedAt
string
obligatorio
phoneNumbers.userId
string
obligatorio
phoneNumbers.verified
boolean
obligatorio
status
string
obligatorio
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
obligatorio
When the user was last updated.
userFraudInformation
object
Mostrar atributos secundarios
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Ejemplo de código
curl -X PATCH 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me
Delete the profile of the currently logged in user. Essentially deleting your account with the platform.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'